Paypal
Suspend, activate, recover or cancel
Suspend, activate, recover or cancel.
Authorization
HTTPBearer AuthorizationBearer <token>
JWT access token
In: header
Path Parameters
record_id*string
Format
uuidQuery Parameters
merchant_id?|
Optional merchant to act on. Must be one you are a member of.
Format
uuidHeader Parameters
X-Merchant-ID?string|null
Request Body
application/json
action*string
Match
^(suspend|activate|cancel|recover)$reason?string
Length
length <= 128Default
""Response Body
application/json
application/json
curl -X POST "https://example.com/api/v1/paypal/subscriptions/497f6eca-6276-4993-bfeb-53cbbbba6f08/action" \ -H "Content-Type: application/json" \ -d '{ "action": "string" }'{ "data": {}, "meta": {}, "success": true}